<mat-card>
    <mat-card-content>
      <form [formGroup]="form" (ngSubmit)="onSubmit()">
        <h2>Log In</h2>
        <mat-form-field class="full-width-input">
          <input matInput placeholder="Email" formControlName="username" required>
          <mat-error *ngIf="form.touched && form.get('username').hasError('email')">
            Email inválido
          </mat-error>
        </mat-form-field>
        <mat-form-field class="full-width-input">
          <input matInput type="password" placeholder="Password" formControlName="password" required>
          <mat-error *ngIf="form.touched && form.get('password').hasError('required')">
            O password é obrigatório
          </mat-error>
        </mat-form-field>
        <button mat-raised-button color="primary">Login</button>
      </form>
    </mat-card-content>
  </mat-card>